# Generated by Django 2.2.7 on 2021-03-29 18:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('ominicontacto_app', '0075_historicalrespuestaformulariogestion'),
    ]

    operations = [
        migrations.CreateModel(
            name='Encuesta',
            fields=[
                ('id', models.AutoField(
                    auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100, verbose_name='Nombre')),
                ('time_out', models.PositiveIntegerField()),
                ('time_retry', models.PositiveIntegerField()),
                ('max_retries', models.PositiveIntegerField()),
                ('estado', models.PositiveIntegerField(
                    choices=[(0, 'Inactiva'), (1, 'Activa'), (2, 'Eliminada')], default=0)),
                ('audio_fin', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                    related_name='survey_audio_fin', to='ominicontacto_app.ArchivoDeAudio')),
                ('audio_inicio', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                    related_name='survey_audio_inicio', to='ominicontacto_app.ArchivoDeAudio')),
            ],
        ),
        migrations.CreateModel(
            name='OpcionDePreguntaDeEncuesta',
            fields=[
                ('id', models.AutoField(
                    auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dtmf', models.CharField(
                    choices=[('0', '0'), ('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5'),
                             ('6', '6'), ('7', '7'), ('8', '8'), ('9', '9')],
                    max_length=1, verbose_name='DTMF')),
                ('calificacion', models.CharField(max_length=100, verbose_name='Calificación')),
                ('accion', models.PositiveIntegerField(
                    choices=[(0, 'Finalizar'), (1, 'Siguiente Pregunta')],
                    default=0)),
            ],
        ),
        migrations.CreateModel(
            name='PreguntaDeEncuesta',
            fields=[
                ('id', models.AutoField(
                    auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100, verbose_name='Nombre')),
                ('descripcion', models.TextField(verbose_name='Descripción')),
                ('es_ponderable', models.BooleanField()),
                ('es_pregunta_inicial', models.BooleanField(default=False)),
                ('audio', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                    related_name='survey_audio_pregunta', to='ominicontacto_app.ArchivoDeAudio')),
                ('encuesta', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='preguntas',
                    to='survey_app.Encuesta')),
            ],
        ),
        migrations.CreateModel(
            name='RespuestaDePreguntaDeEncuesta',
            fields=[
                ('id', models.AutoField(
                    auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('callid', models.CharField(blank=True, max_length=32, null=True)),
                ('callerid', models.CharField(max_length=100)),
                ('grabacion', models.CharField(blank=True, max_length=100, null=True)),
                ('fecha', models.DateTimeField()),
                ('campana', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='respuestas_de_encuesta', to='ominicontacto_app.Campana')),
                ('agente', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                    related_name='respuestas', to='ominicontacto_app.AgenteProfile')),
                ('contacto', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                    related_name='respuestas', to='ominicontacto_app.Contacto')),
                ('pregunta', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='respuestas',
                    to='survey_app.PreguntaDeEncuesta')),
                ('opcion', models.ForeignKey(
                    blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                    related_name='respuestas', to='survey_app.OpcionDePreguntaDeEncuesta')),
            ],
        ),
        migrations.AddField(
            model_name='opciondepreguntadeencuesta',
            name='pregunta',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name='opciones',
                to='survey_app.PreguntaDeEncuesta'),
        ),
        migrations.AddField(
            model_name='opciondepreguntadeencuesta',
            name='pregunta_siguiente',
            field=models.ForeignKey(
                blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                related_name='opciones_anteriores', to='survey_app.PreguntaDeEncuesta'),
        ),
        migrations.CreateModel(
            name='EncuestaEnCampana',
            fields=[
                ('id', models.AutoField(
                    auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('campana', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='encuestas',
                    to='ominicontacto_app.Campana')),
                ('encuesta', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE, related_name='campanas',
                    to='survey_app.Encuesta')),
                ('activa', models.BooleanField(default=True)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='opciondepreguntadeencuesta',
            unique_together={('pregunta', 'dtmf')},
        ),
        migrations.AlterUniqueTogether(
            name='encuestaencampana',
            unique_together={('campana', 'encuesta')},
        ),
    ]
